[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.EditorByStyle

Gets an editor control which uses the specified button style.

## Declaration

Source position: dbgrids.pas line 544

`public function TCustomDBGrid.EditorByStyle(`
`Style: TColumnButtonStyle`
`):TWinControl; override;`

## Arguments

`Style` |  | Button style to use in the editor control.

## Function result

Editor control for the specified button style.

## Description

EditorByStyle is an overridden TWinControl function used to a get an editor control with the specified button style. EditorByStyle calls the ColumnEditorStyle method to get the button style for the current column and SelectedField. This allows the grid to override the cbsAuto button style when the SelectedField contains a Boolean data type. EditorByStyle calls the inherited method using the derived TColumnButtonStyle value as an argument. The editor control in the return value is supplied by the inherited EditorByStyle method.

## See also

TCustomGrid.EditorByStyle |  | Selects a cell Editor control with the specified style.